# swagger-client
Prediction api 

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.python.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.PredictionApi(swagger_client.ApiClient(configuration))
body = swagger_client.FYFSkillRequest() # FYFSkillRequest | 
authorization = 'authorization_example' # str | 

try:
    # Skills Prediction
    api_response = api_instance.skills_prediction(body, authorization)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling PredictionApi->skills_prediction: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://api-qa.phenompeople.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PredictionApi* | [**skills_prediction**](docs/PredictionApi.md#skills_prediction) | **POST** /v1/skills | Skills Prediction

## Documentation For Models

 - [BadRequest](docs/BadRequest.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [FYFSkillRequest](docs/FYFSkillRequest.md)
 - [FYFSkillResponse](docs/FYFSkillResponse.md)
 - [SkillResult](docs/SkillResult.md)
 - [SkillResults](docs/SkillResults.md)

## Documentation For Authorization

 All endpoints do not require authorization.


## Author


